openSUSE Forums > Archives > Novell Archives » Re: Help Required: Planner 0.12 Installation Dependency

Go Back   openSUSE Forums > Archives > Novell Archives
Forums FAQ Members List Search Today's Posts Mark Forums Read


Novell Archives Archived content from Novell openSUSE support forums

 
Page 1 of 2 1 2
 
LinkBack Thread Tools Display Modes
  #1 (permalink)  
Old 04-Jun-2005, 15:33
Kevin Nathan
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency

On Sat, 04 Jun 2005 12:46:22 GMT
Alex <salnga2002@aol.com> wrote:

> So what is my next step?
> The above message suggests that "No package 'libxml-2.0 found'
> however I can see 'libxml2 - A library to manipulate XML files' from


> YaST2.


You need to install 'libxml' package, which is different from
'libxml2'.

You also need to resolve this problem:

*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file
config.log
for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.

See what the config.log file has to say, or where it's failing . . .


--
Kevin Nathan (Arizona, USA)
Linux Potpourri and a.o.l.s. FAQ -- http://www.project54.com/linux/

Open standards. Open source. Open minds.
The command line is the front line.
Linux 2.6.8-24.14-default
1:31pm up 5 days 18:34, 8 users, load average: 0.41, 0.20, 0.15


  #2 (permalink)  
Old 04-Jun-2005, 17:39
Alex
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency libglade-2.4.2

Kevin Nathan wrote:
> On Sat, 04 Jun 2005 12:46:22 GMT
> Alex <salnga2002@aol.com> wrote:
>
>
>>So what is my next step?
>>The above message suggests that "No package 'libxml-2.0 found'
>>however I can see 'libxml2 - A library to manipulate XML files' from


>>YaST2.

>
>
> You need to install 'libxml' package, which is different from

'libxml2'.
>
> You also need to resolve this problem:
>
> *** Could not run GTK+ test program, checking why...
> *** The test program failed to compile or link. See the file

config.log
> for the
> *** exact error that occured. This usually means GTK+ is incorrectly


> installed.
>
> See what the config.log file has to say, or where it's failing . . .


>
>


Thanks for reply, Kevin.

Funny enough but according to YaST, my present version of GTK is
GTK-2.4.9-10 and all of its dependencies are OK as well.

Could you have a look at config.log, please? It's a totally unknown
territory for me.

Here it goes:

************************************************** **********
CONFIC.LOG
************************************************** **********

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by libglade configure 2.4.2, which was
generated by GNU Autoconf 2.59. Invocation command line was

$ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = linux
uname -m = i686
uname -r = 2.6.8-24.13-default
uname -s = Linux
uname -v = #1 Fri Mar 18 10:19:42 UTC 2005

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /sbin
PATH: /usr/sbin
PATH: /usr/local/sbin
PATH: /root/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1542: checking for a BSD-compatible install
configure:1597: result: /usr/bin/install -c
configure:1608: checking whether build environment is sane
configure:1651: result: yes
configure:1716: checking for gawk
configure:1732: found /usr/bin/gawk
configure:1742: result: gawk
configure:1752: checking whether make sets $(MAKE)
configure:1772: result: yes
configure:1953: checking if debuging support was requested
configure:1961: result: yes
configure:2014: checking for gcc
configure:2030: found /usr/bin/gcc
configure:2040: result: gcc
configure:2284: checking for C compiler version
configure:2287: gcc --version </dev/null >&5
gcc (GCC) 3.3.4 (pre 3.3.5 20040809)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There
is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

configure:2290: $? = 0
configure:2292: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i586-suse-linux/3.3.4/specs
Configured with: ../configure --enable-threads=posix --prefix=/usr
--with-local-prefix=/usr/local --infodir=/usr/share/info
--mandir=/usr/share/man --enable-languages=c,c++,f77,objc,java,ada
--disable-checking --libdir=/usr/lib --enable-libgcj
--with-gxx-include-dir=/usr/include/g++ --with-slibdir=/lib
--with-system-zlib --enable-shared --enable-__cxa_atexit
i586-suse-linux
Thread model: posix
gcc version 3.3.4 (pre 3.3.5 20040809)
configure:2295: $? = 0
configure:2297: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:2300: $? = 1
configure:2323: checking for C compiler default output file name
configure:2326: gcc conftest.c >&5
configure:2329: $? = 0
configure:2375: result: a.out
configure:2380: checking whether the C compiler works
configure:2386: ./a.out
configure:2389: $? = 0
configure:2406: result: yes
configure:2413: checking whether we are cross compiling
configure:2415: result: no
configure:2418: checking for suffix of executables
configure:2420: gcc -o conftest conftest.c >&5
configure:2423: $? = 0
configure:2448: result:
configure:2454: checking for suffix of object files
configure:2475: gcc -c conftest.c >&5
configure:2478: $? = 0
configure:2500: result: o
configure:2504: checking whether we are using the GNU C compiler
configure:2528: gcc -c conftest.c >&5
configure:2534: $? = 0
configure:2537: test -z || test ! -s conftest.err
configure:2540: $? = 0
configure:2543: test -s conftest.o
configure:2546: $? = 0
configure:2559: result: yes
configure:2565: checking whether gcc accepts -g
configure:2586: gcc -c -g conftest.c >&5
configure:2592: $? = 0
configure:2595: test -z || test ! -s conftest.err
configure:2598: $? = 0
configure:2601: test -s conftest.o
configure:2604: $? = 0
configure:2615: result: yes
configure:2632: checking for gcc option to accept ANSI C
configure:2702: gcc -c -g -O2 conftest.c >&5
configure:2708: $? = 0
configure:2711: test -z || test ! -s conftest.err
configure:2714: $? = 0
configure:2717: test -s conftest.o
configure:2720: $? = 0
configure:2738: result: none needed
configure:2756: gcc -c -g -O2 conftest.c >&5
conftest.c:2: error: parse error before "me"
configure:2762: $? = 1
configure: failed program was:
| #ifndef __cplusplus
| choke me
| #endif
configure:2903: checking for style of include used by make
configure:2931: result: GNU
configure:2959: checking dependency style of gcc
configure:3049: result: gcc3
configure:3067: checking for library containing strerror
configure:3097: gcc -o conftest -g -O2 conftest.c >&5
configure:3103: $? = 0
configure:3106: test -z || test ! -s conftest.err
configure:3109: $? = 0
configure:3112: test -s conftest
configure:3115: $? = 0
configure:3184: result: none required
configure:3196: checking how to run the C preprocessor
configure:3231: gcc -E conftest.c
configure:3237: $? = 0
configure:3269: gcc -E conftest.c
conftest.c:12:28: ac_nonexistent.h: No such file or directory
configure:3275: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "libglade"
| #define PACKAGE_TARNAME "libglade"
| #define PACKAGE_VERSION "2.4.2"
| #define PACKAGE_STRING "libglade 2.4.2"
| #define PACKAGE_BUGREPORT
"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
| #define PACKAGE "libglade"
| #define VERSION "2.4.2"
| #define DEBUG 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3314: result: gcc -E
configure:3338: gcc -E conftest.c
configure:3344: $? = 0
configure:3376: gcc -E conftest.c
conftest.c:12:28: ac_nonexistent.h: No such file or directory
configure:3382: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "libglade"
| #define PACKAGE_TARNAME "libglade"
| #define PACKAGE_VERSION "2.4.2"
| #define PACKAGE_STRING "libglade 2.4.2"
| #define PACKAGE_BUGREPORT
"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
| #define PACKAGE "libglade"
| #define VERSION "2.4.2"
| #define DEBUG 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3426: checking for egrep
configure:3436: result: grep -E
configure:3441: checking for ANSI C header files
configure:3466: gcc -c -g -O2 conftest.c >&5
configure:3472: $? = 0
configure:3475: test -z || test ! -s conftest.err
configure:3478: $? = 0
configure:3481: test -s conftest.o
configure:3484: $? = 0
configure:3573: gcc -o conftest -g -O2 conftest.c >&5
configure:3576: $? = 0
configure:3578: ./conftest
configure:3581: $? = 0
configure:3596: result: yes
configure:3689: checking build system type
configure:3707: result: i686-pc-linux-gnu
configure:3715: checking host system type
configure:3729: result: i686-pc-linux-gnu
configure:3737: checking for a sed that does not truncate output
configure:3791: result: /usr/bin/sed
configure:3805: checking for ld used by gcc
configure:3872: result: /usr/i586-suse-linux/bin/ld
configure:3881: checking if the linker (/usr/i586-suse-linux/bin/ld)
is
GNU ld
configure:3896: result: yes
configure:3901: checking for /usr/i586-suse-linux/bin/ld option to
reload object files
configure:3908: result: -r
configure:3917: checking for BSD-compatible nm
configure:3959: result: /usr/bin/nm -B
configure:3963: checking whether ln -s works
configure:3967: result: yes
configure:3974: checking how to recognise dependent libraries
configure:4148: result: pass_all
configure:4611: checking for sys/types.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for sys/stat.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for stdlib.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for string.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for memory.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for strings.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for inttypes.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for stdint.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4611: checking for unistd.h
configure:4627: gcc -c -g -O2 conftest.c >&5
configure:4633: $? = 0
configure:4636: test -z || test ! -s conftest.err
configure:4639: $? = 0
configure:4642: test -s conftest.o
configure:4645: $? = 0
configure:4656: result: yes
configure:4682: checking dlfcn.h usability
configure:4694: gcc -c -g -O2 conftest.c >&5
configure:4700: $? = 0
configure:4703: test -z || test ! -s conftest.err
configure:4706: $? = 0
configure:4709: test -s conftest.o
configure:4712: $? = 0
configure:4722: result: yes
configure:4726: checking dlfcn.h presence
configure:4736: gcc -E conftest.c
configure:4742: $? = 0
configure:4762: result: yes
configure:4797: checking for dlfcn.h
configure:4804: result: yes
configure:4821: checking the maximum length of command line argumentsconfigure:4886: result: 32768
configure:4897: checking command to parse /usr/bin/nm -B output from
gcc
object
configure:4986: gcc -c -g -O2 conftest.c >&5
configure:4989: $? = 0
configure:4993: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][
]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \> conftest.nm
configure:4996: $? = 0
configure:5048: gcc -o conftest -g -O2 conftest.c conftstm.o >&5
configure:5051: $? = 0
configure:5089: result: ok
configure:5093: checking for objdir
configure:5108: result: .libs
configure:5198: checking for ar
configure:5214: found /usr/bin/ar
configure:5225: result: ar
configure:5278: checking for ranlib
configure:5294: found /usr/bin/ranlib
configure:5305: result: ranlib
configure:5358: checking for strip
configure:5374: found /usr/bin/strip
configure:5385: result: strip
configure:5647: checking if gcc static flag works
configure:5670: result: yes
configure:5688: checking if gcc supports -fno-rtti -fno-exceptions
configure:5706: gcc -c -g -O2 -fno-rtti -fno-exceptions conftest.c
>&5

cc1: warning: "-fno-rtti" is valid for C++ but not for C/ObjC
configure:5710: $? = 0
configure:5721: result: no
configure:5736: checking for gcc option to produce PIC
configure:5913: result: -fPIC
configure:5921: checking if gcc PIC flag -fPIC works
configure:5939: gcc -c -g -O2 -fPIC -DPIC conftest.c >&5
configure:5943: $? = 0
configure:5954: result: yes
configure:5978: checking if gcc supports -c -o file.o
configure:5999: gcc -c -g -O2 -o out/conftest2.o conftest.c >&5
configure:6003: $? = 0
configure:6023: result: yes
configure:6049: checking whether the gcc linker
(/usr/i586-suse-linux/bin/ld) supports shared libraries
configure:6896: result: yes
configure:6922: checking whether -lc should be explicitly linked in
configure:6927: gcc -c -g -O2 conftest.c >&5
configure:6930: $? = 0
configure:6944: gcc -shared conftest.o -v -Wl,-soname -Wl,conftest -o

conftest 2\>\&1 \| grep -lc \>/dev/null 2\>\&1
configure:6947: $? = 0
configure:6959: result: no
configure:6967: checking dynamic linker characteristics
configure:7519: result: GNU/Linux ld.so
configure:7523: checking how to hardcode library paths into programs
configure:7548: result: immediate
configure:7562: checking whether stripping libraries is possible
configure:7567: result: yes
configure:8390: checking if libtool supports shared libraries
configure:8392: result: yes
configure:8395: checking whether to build shared libraries
configure:8453: result: yes
configure:8456: checking whether to build static libraries
configure:8460: result: yes
configure:8552: creating libtool
configure:8985: checking for pkg-config
configure:9003: found /usr/bin/pkg-config
configure:9016: result: /usr/bin/pkg-config
configure:9037: checking for GTK+ - version >= 2.4.0
configure:9182: result: no
configure:9215: gcc -o conftest -g -O2 conftest.c >&5
conftest.c:24:21: gtk/gtk.h: No such file or directory
conftest.c: In function `main':
conftest.c:30: error: `gtk_major_version' undeclared (first use in
this
function)
conftest.c:30: error: (Each undeclared identifier is reported only
once
conftest.c:30: error: for each function it appears in.)
conftest.c:30: error: `gtk_minor_version' undeclared (first use in
this
function)
conftest.c:30: error: `gtk_micro_version' undeclared (first use in
this
function)
configure:9221: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "libglade"
| #define PACKAGE_TARNAME "libglade"
| #define PACKAGE_VERSION "2.4.2"
| #define PACKAGE_STRING "libglade 2.4.2"
| #define PACKAGE_BUGREPORT
"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
| #define PACKAGE "libglade"
| #define VERSION "2.4.2"
| #define DEBUG 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
|
| #include <gtk/gtk.h>
| #include <stdio.h>
|
| int
| main ()
| {
| return ((gtk_major_version) || (gtk_minor_version) ||
(gtk_micro_version));
| ;
| return 0;
| }
configure:9268: checking for gtk_plug_get_type
configure:9325: gcc -o conftest -g -O2 conftest.c >&5
/tmp/ccawKD28.o(.text+0x11): In function `main':
/usr/src/libglade-2.4.2/conftest.c:63: undefined reference to
`gtk_plug_get_type'
/tmp/ccawKD28.o(.data+0x0):/usr/src/libglade-2.4.2/conftest.c:62:
undefined reference to `gtk_plug_get_type'
collect2: ld returned 1 exit status
configure:9331: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "libglade"
| #define PACKAGE_TARNAME "libglade"
| #define PACKAGE_VERSION "2.4.2"
| #define PACKAGE_STRING "libglade 2.4.2"
| #define PACKAGE_BUGREPORT
"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
| #define PACKAGE "libglade"
| #define VERSION "2.4.2"
| #define DEBUG 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
| /* Define gtk_plug_get_type to an innocuous variant, in case
<limits.h> declares gtk_plug_get_type.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define gtk_plug_get_type innocuous_gtk_plug_get_type
|
| /* System header to define __stub macros and hopefully few
prototypes,
| which can conflict with char gtk_plug_get_type (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef gtk_plug_get_type
|
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char gtk_plug_get_type ();
| /* The GNU C library defines this for functions which it implements| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */| #if defined (__stub_gtk_plug_get_type) || defined
(__stub___gtk_plug_get_type)
| choke me
| #else
| char (*f) () = gtk_plug_get_type;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != gtk_plug_get_type;
| ;
| return 0;
| }
configure:9355: result: no
configure:9369: checking for pkg-config
configure:9400: result: /usr/bin/pkg-config
configure:9462: checking for libxml-2.0 >= 2.4.10 atk >= 1.0.0
gtk+-2.0 >= 2.4.0 glib-2.0 >= 2.4.0
configure:9501: error: Library requirements ( libxml-2.0 >= 2.4.10
atk >= 1.0.0 gtk+-2.0 >= 2.4.0 glib-2.0 >= 2.4.0) not met;
consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries
are
in a nonstandard prefix so pkg-config can find them.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_build_alias=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func_gtk_plug_get_type=no
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_host_alias=i686-pc-linux-gnu
ac_cv_objext=o
ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_egrep='grep -E'
ac_cv_prog_make_make_set=yes
ac_cv_search_strerror='none required'
am_cv_CC_dependencies_compiler_type=gcc3
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/i586-suse-linux/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_path_SED=/usr/bin/sed
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_gnu_ld=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[
]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][
]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^
]*\)
$/ {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^
]*\)$/ {"\2", (lt_ptr) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern

int \1;/p'\'''
lt_cv_sys_max_cmd_len=32768
lt_lt_cv_prog_compiler_c_o='"yes"'
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[
]\\([ABCDGIRSTW][ABCDGIRSTW]*\\)[ ][
]*\\(\\)\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2\\3 \\3/p'\''"'
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\''s/^:
\\([^
]*\\) \$/ {\\\"\\1\\\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^

]*\\) \\([^ ]*\\)\$/ {\"\\2\", (lt_ptr) \\&\\2},/p'\''"'
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .*
\\(.*\\)\$/extern int \\1;/p'\''"'

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /usr/src/libglade-2.4.2/missing --run aclocal-1.9'
ACLOCAL_AMFLAGS='-I ./m4 ${ACLOCAL_FLAGS}'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /usr/src/libglade-2.4.2/missing --run tar'
AR='ar'
AS='as'
AUTOCONF='${SHELL} /usr/src/libglade-2.4.2/missing --run autoconf'
AUTOHEADER='${SHELL} /usr/src/libglade-2.4.2/missing --run autoheader'

AUTOMAKE='${SHELL} /usr/src/libglade-2.4.2/missing --run automake-1.9'

AWK='gawk'
CATALOGS=''
CATOBJEXT=''
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CYGPATH_W='echo'
DATADIRNAME=''
DEFS=''
DEPDIR='.deps'
DLLTOOL='dlltool'
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
ENABLE_GTK_DOC_FALSE=''
ENABLE_GTK_DOC_TRUE=''
EXEEXT=''
GETTEXT_PACKAGE=''
GMOFILES=''
GMSGFMT=''
GTK_CFLAGS=''
GTK_DOC_USE_LIBTOOL_FALSE=''
GTK_DOC_USE_LIBTOOL_TRUE=''
GTK_LIBS=''
HAVE_PYTHON_FALSE=''
HAVE_PYTHON_TRUE=''
HAVE_XMLCATALOG_FALSE=''
HAVE_XMLCATALOG_TRUE=''
HTML_DIR=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
INSTOBJEXT=''
INTLLIBS=''
LDFLAGS=''
LIBGLADE_CFLAGS=''
LIBGLADE_LIBS=''
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LN_S='ln -s'
LTLIBOBJS=''
MAKEINFO='${SHELL} /usr/src/libglade-2.4.2/missing --run makeinfo'
MKINSTALLDIRS=''
MSGFMT=''
OBJDUMP='objdump'
OBJEXT='o'
OS_WIN32_FALSE=''
OS_WIN32_TRUE=''
PACKAGE='libglade'
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=libglade'

PACKAGE_NAME='libglade'
PACKAGE_STRING='libglade 2.4.2'
PACKAGE_TARNAME='libglade'
PACKAGE_VERSION='2.4.2'
PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config'
PLATFORM_WIN32_FALSE=''
PLATFORM_WIN32_TRUE=''
POFILES=''
POSUB=''
PO_IN_DATADIR_FALSE=''
PO_IN_DATADIR_TRUE=''
PYTHON=''
PYTHON_EXEC_PREFIX=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
RANLIB='ranlib'
SET_MAKE=''
SHELL='/bin/sh'
STRIP='strip'
USE_NLS=''
VERSION='2.4.2'
XGETTEXT=''
XMLCATALOG=''
XML_CATALOG_FILE=''
ac_ct_AR='ar'
ac_ct_AS=''
ac_ct_CC='gcc'
ac_ct_DLLTOOL=''
ac_ct_OBJDUMP=''
ac_ct_RANLIB='ranlib'
ac_ct_STRIP='strip'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='NONE'
host='i686-pc-linux-gnu'
host_alias=''
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/usr/src/libglade-2.4.2/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
pkgpyexecdir=''
pkgpythondir=''
prefix='NONE'
program_transform_name='s,x,x,'
pyexecdir=''
pythondir=''
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define DEBUG 1
#define HAVE_DLFCN_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define PACKAGE "libglade"
#define PACKAGE_BUGREPORT
"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
#define PACKAGE_NAME "libglade"
#define PACKAGE_STRING "libglade 2.4.2"
#define PACKAGE_TARNAME "libglade"
#define PACKAGE_VERSION "2.4.2"
#define STDC_HEADERS 1
#define VERSION "2.4.2"

configure: exit 1


Many thanks
Alex


  #3 (permalink)  
Old 05-Jun-2005, 01:03
Kevin Nathan
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency

On Sat, 04 Jun 2005 22:39:55 GMT
Alex <salnga2002@aol.com> wrote:

> Funny enough but according to YaST, my present version of GTK is
> GTK-2.4.9-10 and all of its dependencies are OK as well.


One thing you need to understand (a common newbie problem and even
long-
time users forget it) is that '-devel' packages need to be installed
when you are compiling. In your case, GTK may be installed but not the

'-devel' packages. The easiest way is to go into YaST Control Center
->
Software -> Install and Remove Softare and do a search for 'gtk'; then

select all the '-devel' packages with 'gtk' in their names. (I believe

you just need 'gtk-devel' and/or 'gtk2-devel' if the corresponding non

'-devel' packages are installed.

Wow, could that have been *more* confusing? :-) Let me put it anotherway: if you have 'gtk' installed, install 'gtk-devel'. If you have
'gtk2' installed, install 'gtk2-devel'. Then try the configure again
and let us know how it goes . . .

Instead of posting the config.log again (if necessary), you could just

email the log to me -- but post the msg itself, here. Thanks!


--
Kevin Nathan (Arizona, USA)
Linux Potpourri and a.o.l.s. FAQ -- http://www.project54.com/linux/

Open standards. Open source. Open minds.
The command line is the front line.
Linux 2.6.8-24.14-default
10:56pm up 6 days 3:59, 8 users, load average: 0.44, 0.33, 0.27


  #4 (permalink)  
Old 05-Jun-2005, 01:13
baskitcaise
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency libglade-2.4.2 configure: error

Alex adjusted his/her tinfoil beanie and donned asbestos underwear topost:

> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "libglade"
> | #define PACKAGE_TARNAME "libglade"
> | #define PACKAGE_VERSION "2.4.2"
> | #define PACKAGE_STRING "libglade 2.4.2"
> | #define PACKAGE_BUGREPORT
> "http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
> | #define PACKAGE "libglade"
> | #define VERSION "2.4.2"
> | #define DEBUG 1
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>
> configure:3314: result: gcc -E
> configure:3338: gcc -E conftest.c
> configure:3344: $? = 0
> configure:3376: gcc -E conftest.c
> conftest.c:12:28: ac_nonexistent.h: No such file or directory
> configure:3382: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "libglade"
> | #define PACKAGE_TARNAME "libglade"
> | #define PACKAGE_VERSION "2.4.2"
> | #define PACKAGE_STRING "libglade 2.4.2"
> | #define PACKAGE_BUGREPORT
> "http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
> | #define PACKAGE "libglade"
> | #define VERSION "2.4.2"
> | #define DEBUG 1
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>


Alex,

Have you installed the libglade-devel packages?

Just go into Yast>install & remove and search fro libglade, you will
need the packages with the devel in the name.

That should sort out this bit anyway.

HTH

--
Mark
Novell Support Forums SysOp
Twixt hill and high water
N. Wales, UK.
Skype <my nick> text only please



  #5 (permalink)  
Old 05-Jun-2005, 07:21
Alex
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency libglade-2.4.2

Kevin Nathan wrote:

> On Sat, 04 Jun 2005 22:39:55 GMT
> Alex <salnga2002@aol.com> wrote:
>
>
>>Funny enough but according to YaST, my present version of GTK is
>>GTK-2.4.9-10 and all of its dependencies are OK as well.

>
>
> One thing you need to understand (a common newbie problem and even

long-
> time users forget it) is that '-devel' packages need to be installed


> when you are compiling. In your case, GTK may be installed but not

the
> '-devel' packages. The easiest way is to go into YaST Control Center

->
> Software -> Install and Remove Softare and do a search for 'gtk';

then
> select all the '-devel' packages with 'gtk' in their names. (I

believe
> you just need 'gtk-devel' and/or 'gtk2-devel' if the corresponding

non
> '-devel' packages are installed.
>
> Wow, could that have been *more* confusing? :-) Let me put it

another
> way: if you have 'gtk' installed, install 'gtk-devel'. If you have
> 'gtk2' installed, install 'gtk2-devel'. Then try the configure again


> and let us know how it goes . . .
>
> Instead of posting the config.log again (if necessary), you could

just
> email the log to me -- but post the msg itself, here. Thanks!
>
>

Thank, Kevin,
Please find attached my latest log resulted from #make. Things are
looking better now but still cann't pass through #make stage.

Cheers,
Alex


linux:/usr/src/planner-0.12.1 # make
make all-recursive
make[1]: Entering directory `/usr/src/planner-0.12.1'
Making all in po
make[2]: Entering directory `/usr/src/planner-0.12.1/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/planner-0.12.1/po'
Making all in libplanner
make[2]: Entering directory `/usr/src/planner-0.12.1/libplanner'
/bin/sh ../libtool --mode=link gcc -g -O2 -o libplanner-1.la -rpath
/usr/local/lib mrp-marshal-main.lo mrp-application.lo
mrp-assignment.lo mrp-calendar.lo mrp-day.lo mrp-group.lo
mrp-object.lo mrp-file-module.lo mrp-project.lo mrp-resource.lo
mrp-storage-module.lo mrp-storage-module-factory.lo
mrp-task-manager.lo mrp-task.lo mrp-relation.lo mrp-types.lo
mrp-property.lo mrp-time.lo mrp-error.lo -Wl,--export-dynamic -pthread
-L/opt/gnome/lib -lgsf-1 -lgobject-2.0 -lxml2 -lpthread -lz
-lgnomevfs-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl
-lgthread-2.0 -lglib-2.0
grep: /usr/lib/libpopt.la: No such file or directory
/usr/bin/sed: can't read /usr/lib/libpopt.la: No such file or
directory
libtool: link: `/usr/lib/libpopt.la' is not a valid libtool archive
make[2]: *** [libplanner-1.la] Error 1
make[2]: Leaving directory `/usr/src/planner-0.12.1/libplanner'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/planner-0.12.1'
make: *** [all] Error 2
linux:/usr/src/planner-0.12.1 #
  #6 (permalink)  
Old 05-Jun-2005, 08:23
baskitcaise
Guest
 
Posts: n/a
Default Re: Help Building Planner 0.12 on SUSE 9.2 Make stage error: libpopt.la: no such file or directory

Alex adjusted his/her tinfoil beanie and donned asbestos underwear topost:

> baskitcaise wrote:
>> Alex adjusted his/her tinfoil beanie and donned asbestos underwear

to
>> post:
>>
>>
>>>configure: failed program was:
>>>| /* confdefs.h. */
>>>|
>>>| #define PACKAGE_NAME "libglade"
>>>| #define PACKAGE_TARNAME "libglade"
>>>| #define PACKAGE_VERSION "2.4.2"
>>>| #define PACKAGE_STRING "libglade 2.4.2"
>>>| #define PACKAGE_BUGREPORT
>>>"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
>>>| #define PACKAGE "libglade"
>>>| #define VERSION "2.4.2"
>>>| #define DEBUG 1
>>>| /* end confdefs.h. */
>>>| #include <ac_nonexistent.h>
>>>configure:3314: result: gcc -E
>>>configure:3338: gcc -E conftest.c
>>>configure:3344: $? = 0
>>>configure:3376: gcc -E conftest.c
>>>conftest.c:12:28: ac_nonexistent.h: No such file or directory
>>>configure:3382: $? = 1
>>>configure: failed program was:
>>>| /* confdefs.h. */
>>>|
>>>| #define PACKAGE_NAME "libglade"
>>>| #define PACKAGE_TARNAME "libglade"
>>>| #define PACKAGE_VERSION "2.4.2"
>>>| #define PACKAGE_STRING "libglade 2.4.2"
>>>| #define PACKAGE_BUGREPORT
>>>"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
>>>| #define PACKAGE "libglade"
>>>| #define VERSION "2.4.2"
>>>| #define DEBUG 1
>>>| /* end confdefs.h. */
>>>| #include <ac_nonexistent.h>

>>
>>
>> Alex,
>>
>> Have you installed the libglade-devel packages?
>>
>> Just go into Yast>install & remove and search fro libglade, you

will
>> need the packages with the devel in the name.
>>
>> That should sort out this bit anyway.
>>
>> HTH
>>

> Thanks for reply and thanks for underwear :-
>
> I have installed libglade-devel and some other devel libraries and

got
> rid of errors during configuration.
>
> So now as i feed # ./config it results in following:
> ************************************************** *
> Planner prefix :/usr/local
> Build API docs : no
> Python bindings : yes
> Python plugin : no
> Dotnet bindings : no
> Database/GDA support : yes
> Resource usage view : yes
> ************************************************** *
> That's better, in't?
>
> Then I feed # make and it results in following:
> ************************************************** *
> linux:/usr/src/planner-0.12.1 # make
> make all-recursive
> make[1]: Entering directory `/usr/src/planner-0.12.1'
> Making all in po
> make[2]: Entering directory `/usr/src/planner-0.12.1/po'
> make[2]: Nothing to be done for `all'.
> make[2]: Leaving directory `/usr/src/planner-0.12.1/po'
> Making all in libplanner
> make[2]: Entering directory `/usr/src/planner-0.12.1/libplanner'
> /bin/sh ../libtool --mode=link gcc -g -O2 -o libplanner-1.la

-rpath
> /usr/local/lib mrp-marshal-main.lo mrp-application.lo
> mrp-assignment.lo mrp-calendar.lo mrp-day.lo mrp-group.lo
> mrp-object.lo mrp-file-module.lo mrp-project.lo mrp-resource.lo
> mrp-storage-module.lo mrp-storage-module-factory.lo
> mrp-task-manager.lo mrp-task.lo mrp-relation.lo mrp-types.lo
> mrp-property.lo mrp-time.lo mrp-error.lo -Wl,--export-dynamic

-pthread
> -L/opt/gnome/lib -lgsf-1 -lgobject-2.0 -lxml2 -lpthread -lz
> -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl
> -lgthread-2.0 -lglib-2.0 grep: /usr/lib/libpopt.la: No such file or> directory /usr/bin/sed: can't read /usr/lib/libpopt.la: No such file


> or directory libtool: link: `/usr/lib/libpopt.la' is not a valid
> libtool archive make[2]: *** [libplanner-1.la] Error 1
> make[2]: Leaving directory `/usr/src/planner-0.12.1/libplanner'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/usr/src/planner-0.12.1'
> make: *** [all] Error 2
> linux:/usr/src/planner-0.12.1 #
> ************************************************** ******
>
> Any suggestions?
>
> Thanks
> Alex


Now you need the popt-devel package installed :-)

One way to find stuff that is or is not installed is to use the
command
pin, if this is not installed then use Yast to install, the first time

you run a pin command it will ask for you to have the install disk inthe drive, it will copy across the ARCHIVE.gz across to /var/lib/pin/dir, it uses this files which contains a list of all packages and
contents as a database and will tell you if a package/file is
installed
and if not which RPM contains the needed file:

barkit@basket:~> pin libpopt.la

grepping /var/lib/pin/ARCHIVES.gz ... please wait

pin 0.30 - package info for libpopt.la

------------------------------------------------------------------
*** no rpm named libpopt.la installed
------------------------------------------------------------------


------------------------------------------------------------------
*** zgrep libpopt.la /var/lib/pin/ARCHIVES.gz
------------------------------------------------------------------


../DVD1/suse/i586/popt-devel-1.7-207.i586.rpm: -rw-r--r-- 1 root

root 786 Mar 19 18:40 /usr/lib/libpopt.la
../DVD1/suse/x86_64/popt-devel-1.7-207.x86_64.rpm: -rw-r--r-- 1root root 788 Mar 19 18:44 /usr/lib64/libpopt.l
a
../DVD1/suse/x86_64/popt-devel-32bit-9.3-7.x86_64.rpm: -rw-r--r--
1
root root 786 Mar 19 18:40 /usr/lib/libpopt
..la
/tmp/.pin_packinfo_22625.A22626 lines 1-15/15 (END)


This shows that libpopt is in the popt-devel rpm.

HTH


--
Mark
Novell Support Forums SysOp
Twixt hill and high water
N. Wales, UK.
Skype <my nick> text only please



  #7 (permalink)  
Old 05-Jun-2005, 09:48
Alex
Guest
 
Posts: n/a
Default Re: Help Building Planner 0.12 on SUSE 9.2 Make stage error: libgnome_keyring.lanot found

baskitcaise wrote:
> Alex adjusted his/her tinfoil beanie and donned asbestos underwear

to
> post:
>
>
>>baskitcaise wrote:
>>
>>>Alex adjusted his/her tinfoil beanie and donned asbestos underwear

to
>>>post:
>>>
>>>
>>>
>>>>configure: failed program was:
>>>>| /* confdefs.h. */
>>>>|
>>>>| #define PACKAGE_NAME "libglade"
>>>>| #define PACKAGE_TARNAME "libglade"
>>>>| #define PACKAGE_VERSION "2.4.2"
>>>>| #define PACKAGE_STRING "libglade 2.4.2"
>>>>| #define PACKAGE_BUGREPORT
>>>>"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
>>>>| #define PACKAGE "libglade"
>>>>| #define VERSION "2.4.2"
>>>>| #define DEBUG 1
>>>>| /* end confdefs.h. */
>>>>| #include <ac_nonexistent.h>
>>>>configure:3314: result: gcc -E
>>>>configure:3338: gcc -E conftest.c
>>>>configure:3344: $? = 0
>>>>configure:3376: gcc -E conftest.c
>>>>conftest.c:12:28: ac_nonexistent.h: No such file or directory
>>>>configure:3382: $? = 1
>>>>configure: failed program was:
>>>>| /* confdefs.h. */
>>>>|
>>>>| #define PACKAGE_NAME "libglade"
>>>>| #define PACKAGE_TARNAME "libglade"
>>>>| #define PACKAGE_VERSION "2.4.2"
>>>>| #define PACKAGE_STRING "libglade 2.4.2"
>>>>| #define PACKAGE_BUGREPORT
>>>>"http://bugzilla.gnome.org/enter_bug.cgi?product=libglade"
>>>>| #define PACKAGE "libglade"
>>>>| #define VERSION "2.4.2"
>>>>| #define DEBUG 1
>>>>| /* end confdefs.h. */
>>>>| #include <ac_nonexistent.h>
>>>
>>>
>>>Alex,
>>>
>>>Have you installed the libglade-devel packages?
>>>
>>>Just go into Yast>install & remove and search fro libglade, you

will
>>>need the packages with the devel in the name.
>>>
>>>That should sort out this bit anyway.
>>>
>>>HTH
>>>

>>
>>Thanks for reply and thanks for underwear :-
>>
>>I have installed libglade-devel and some other devel libraries and

got
>>rid of errors during configuration.
>>
>>So now as i feed # ./config it results in following:
>>************************************************ ***
>>Planner prefix :/usr/local
>>Build API docs : no
>>Python bindings : yes
>>Python plugin : no
>>Dotnet bindings : no
>>Database/GDA support : yes
>>Resource usage view : yes
>>************************************************ ***
>>That's better, in't?
>>
>>Then I feed # make and it results in following:
>>************************************************ ***
>>linux:/usr/src/planner-0.12.1 # make
>>make all-recursive
>>make[1]: Entering directory `/usr/src/planner-0.12.1'
>>Making all in po
>>make[2]: Entering directory `/usr/src/planner-0.12.1/po'
>>make[2]: Nothing to be done for `all'.
>>make[2]: Leaving directory `/usr/src/planner-0.12.1/po'
>>Making all in libplanner
>>make[2]: Entering directory `/usr/src/planner-0.12.1/libplanner'
>>/bin/sh ../libtool --mode=link gcc -g -O2 -o libplanner-1.la

-rpath
>>/usr/local/lib mrp-marshal-main.lo mrp-application.lo
>>mrp-assignment.lo mrp-calendar.lo mrp-day.lo mrp-group.lo
>>mrp-object.lo mrp-file-module.lo mrp-project.lo mrp-resource.lo
>>mrp-storage-module.lo mrp-storage-module-factory.lo
>>mrp-task-manager.lo mrp-task.lo mrp-relation.lo mrp-types.lo
>>mrp-property.lo mrp-time.lo mrp-error.lo -Wl,--export-dynamic

-pthread
>>-L/opt/gnome/lib -lgsf-1 -lgobject-2.0 -lxml2 -lpthread -lz
>>-lgnomevfs-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl
>>-lgthread-2.0 -lglib-2.0 grep: /usr/lib/libpopt.la: No such file or>>directory /usr/bin/sed: can't read /usr/lib/libpopt.la: No such file


>>or directory libtool: link: `/usr/lib/libpopt.la' is not a valid
>>libtool archive make[2]: *** [libplanner-1.la] Error 1
>>make[2]: Leaving directory `/usr/src/planner-0.12.1/libplanner'
>>make[1]: *** [all-recursive] Error 1
>>make[1]: Leaving directory `/usr/src/planner-0.12.1'
>>make: *** [all] Error 2
>>linux:/usr/src/planner-0.12.1 #
>>************************************************ ********
>>
>>Any suggestions?
>>
>>Thanks
>>Alex

>
>
> Now you need the popt-devel package installed :-)
>
> One way to find stuff that is or is not installed is to use the

command
> pin, if this is not installed then use Yast to install, the first

time
> you run a pin command it will ask for you to have the install disk

in
> the drive, it will copy across the ARCHIVE.gz across to

/var/lib/pin/
> dir, it uses this files which contains a list of all packages and
> contents as a database and will tell you if a package/file is

installed
> and if not which RPM contains the needed file:
>
> barkit@basket:~> pin libpopt.la
>
> grepping /var/lib/pin/ARCHIVES.gz ... please wait
>
> pin 0.30 - package info for libpopt.la
>
> ------------------------------------------------------------------
> *** no rpm named libpopt.la installed
> ------------------------------------------------------------------
>
>
> ------------------------------------------------------------------
> *** zgrep libpopt.la /var/lib/pin/ARCHIVES.gz
> ------------------------------------------------------------------
>
>
> ./DVD1/suse/i586/popt-devel-1.7-207.i586.rpm: -rw-r--r-- 1

root
> root 786 Mar 19 18:40 /usr/lib/libpopt.la
> ./DVD1/suse/x86_64/popt-devel-1.7-207.x86_64.rpm: -rw-r--r-- 1


> root root 788 Mar 19 18:44 /usr/lib64/libpopt.l
> a
> ./DVD1/suse/x86_64/popt-devel-32bit-9.3-7.x86_64.rpm: -rw-r--r--

1
> root root 786 Mar 19 18:40 /usr/lib/libpopt
> .la
> /tmp/.pin_packinfo_22625.A22626 lines 1-15/15 (END)
>
>
> This shows that libpopt is in the popt-devel rpm.
>
> HTH
>


pin is cool! Thanks for that.
Next missing lib:
************************************************** *
linux:/usr/src/planner-0.12.1 # make
make all-recursive
make[1]: Entering directory `/usr/src/planner-0.12.1'
Making all in po
make[2]: Entering directory `/usr/src/planner-0.12.1/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/planner-0.12.1/po'
Making all in libplanner
make[2]: Entering directory `/usr/src/planner-0.12.1/libplanner'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/planner-0.12.1/libplanner'
Making all in libegg
make[2]: Entering directory `/usr/src/planner-0.12.1/libegg'
Making all in recent-files
make[3]: Entering directory
`/usr/src/planner-0.12.1/libegg/recent-files'
/bin/sh ../../libtool --mode=link gcc -g -O2 -o libeggrecent.la
egg-recent-item.lo egg-recent-model.lo egg-recent-view.lo
egg-recent-view-gtk.lo egg-recent-view-bonobo.lo egg-recent-util.lo
egg-recent-vfs-utils.lo -Wl,--export-dynamic -pthread -L/usr/local/lib

-L/opt/gnome/lib -L/usr/X11R6/lib -lgnomeui-2-lSM -lICE -lglade-2.0
-lbonoboui-2 -lgnome-2 -lpopt -lbonobo-2 -lgnomeprintui-2-2
-lgnomeprint-2-2 -lgnomecanvas-2 -lxml2 -lpthread -lz -lart_lgpl_2
-lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0

-lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgnomevfs-2
-lbonobo-activation -lgconf-2 -lORBit-2 -lm -lgmodule-2.0 -ldl
-lgthread-2.0 -lglib-2.0
grep: /opt/gnome/lib/libgnome-keyring.la: No such file or directory
/usr/bin/sed: can't read /opt/gnome/lib/libgnome-keyring.la: No such file or directory
libtool: link: `/opt/gnome/lib/libgnome-keyring.la' is not a valid
libtool archive
make[3]: *** [libeggrecent.la] Error 1
make[3]: Leaving directory
`/usr/src/planner-0.12.1/libegg/recent-files'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/planner-0.12.1/libegg'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/planner-0.12.1'
make: *** [all] Error 2
linux:/usr/src/planner-0.12.1 #
************************************************** *********

I feed pin libgnome-keyring.la and it results in following output:

************************************************** ***********
pin 0.30 - package info for libgnome-keyring.la

------------------------------------------------------------------
*** no rpm named libgnome-keyring.la installed
------------------------------------------------------------------


------------------------------------------------------------------
*** zgrep libgnome-keyring.la /var/lib/pin/ARCHIVES.gz
------------------------------------------------------------------
************************************************** ********************

gnome-keyring is sitting pretty in YaST. What's wring?

Cheers,
Alex






  #8 (permalink)  
Old 05-Jun-2005, 11:00
baskitcaise
Guest
 
Posts: n/a
Default Re: Help Building Planner 0.12 on SUSE 9.2 Make stage error: libgnome_keyring.la not found

Alex adjusted his/her tinfoil beanie and donned asbestos underwear topost:

> ************************************************** *********
>
> I feed pin libgnome-keyring.la and it results in following output:
>
> ************************************************** ***********
> pin 0.30 - package info for libgnome-keyring.la
>
> ------------------------------------------------------------------
> *** no rpm named libgnome-keyring.la installed
> ------------------------------------------------------------------
>
>
> ------------------------------------------------------------------
> *** zgrep libgnome-keyring.la /var/lib/pin/ARCHIVES.gz
> ------------------------------------------------------------------
>

************************************************** ********************

> gnome-keyring is sitting pretty in YaST. What's wring?
>
> Cheers,
> Alex



pin 0.30 - package info for libgnome-keyring.la

------------------------------------------------------------------
*** no rpm named libgnome-keyring.la installed
------------------------------------------------------------------


------------------------------------------------------------------
*** zgrep libgnome-keyring.la /var/lib/pin/ARCHIVES.gz

../DVD1/suse/i586/gnome-keyring-devel-0.4.2-4.i586.rpm

HTH

--
Mark
Novell Support Forums SysOp
Twixt hill and high water
N. Wales, UK.
Skype <my nick> text only please



  #9 (permalink)  
Old 05-Jun-2005, 11:26
Kevin Nathan
Guest
 
Posts: n/a
Default Re: Help Required: Planner 0.12 Installation Dependency

On Sun, 05 Jun 2005 12:21:20 GMT
Alex <salnga2002@aol.com> wrote:

> Please find attached my latest log resulted from #make. Things are > looking better now but still cann't pass through #make stage.
>
>
> grep: /usr/lib/libpopt.la: No such file or directory


The way you handle this is to stop at the first error (above) and in a

case like this where a file is missing, do the following:

pin libpopt.la

and that would show you that you needed to install:

popt-devel


--
Kevin Nathan (Arizona, USA)
Linux Potpourri and a.o.l.s. FAQ -- http://www.project54.com/linux/

Open standards. Open source. Open minds.
The command line is the front line.
Linux 2.6.8-24.14-default
9:23am up 6 days 14:26, 8 users, load average: 0.77, 0.37, 0.43


  #10 (permalink)  
Old 05-Jun-2005, 12:17
Alex
Guest
 
Posts: n/a
Default Re: Help Building Planner 0.12 on SUSE 9.2 Make stage error: libgnome_keyring.lanot found

baskitcaise wrote:

> Alex adjusted his/her tinfoil beanie and donned asbestos underwear

to
> post:
>
>
>>************************************************ ***********
>>
>>I feed pin libgnome-keyring.la and it results in following output:
>>
>>************************************************ *************
>>pin 0.30 - package info for libgnome-keyring.la
>>
>>------------------------------------------------------------------
>>*** no rpm named libgnome-keyring.la installed
>>------------------------------------------------------------------
>>
>>
>>------------------------------------------------------------------
>>*** zgrep libgnome-keyring.la /var/lib/pin/ARCHIVES.gz
>>------------------------------------------------------------------
>>************************************************ **********************


>>gnome-keyring is sitting pretty in YaST. What's wring?
>>
>>Cheers,
>>Alex

>
>
>
> pin 0.30 - package info for libgnome-keyring.la
>
> ------------------------------------------------------------------
> *** no rpm named libgnome-keyring.la installed
> ------------------------------------------------------------------
>
>
> ------------------------------------------------------------------
> *** zgrep libgnome-keyring.la /var/lib/pin/ARCHIVES.gz
>
> ./DVD1/suse/i586/gnome-keyring-devel-0.4.2-4.i586.rpm
>
> HTH
>


OK, gnome-keyring-devel.rpm has been installed. Here it comes what
#make
output after it:
************************************************** **************************

linux:/usr/src/planner-0.12.1 # make
make all-recursive
make[1]: Entering directory `/usr/src/planner-0.12.1'
Making all in po
make[2]: Entering directory `/usr/src/planner-0.12.1/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/planner-0.12.1/po'
Making all in libplanner
make[2]: Entering directory `/usr/src/planner-0.12.1/libplanner'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/planner-0.12.1/libplanner'
Making all in libegg
make[2]: Entering directory `/usr/src/planner-0.12.1/libegg'
Making all in recent-files
make[3]: Entering directory
`/usr/src/planner-0.12.1/libegg/recent-files'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory
`/usr/src/planner-0.12.1/libegg/recent-files'
make[3]: Entering directory `/usr/src/planner-0.12.1/libegg'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/usr/src/planner-0.12.1/libegg'
make[2]: Leaving directory `/usr/src/planner-0.12.1/libegg'
Making all in src
make[2]: Entering directory `/usr/src/planner-0.12.1/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../src -DXTHREADS
-D_REENTRANT -DXUSE_MTSAFE_API -DORBIT2=1 -pthread
-I/usr/local/include/libglade-2.0 -I/usr/include/libart-2.0
-I/usr/include/libxml2 -I/opt/gnome/include/glib-2.0
-I/opt/gnome/lib/glib-2.0/include -I/opt/gnome/include/gtk-2.0
-I/opt/gnome/lib/gtk-2.0/include -I/usr/X11R6/include
-I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/freetype2/config
-I/opt/gnome/include/libgnomecanvas-2.0
-I/opt/gnome/include/libgnomeui-2.0 -I/opt/gnome/include/libgnome-2.0

-I/opt/gnome/include/gconf/2 -I/opt/gnome/include/libbonoboui-2.0
-I/opt/gnome/include/orbit-2.0 -I/opt/gnome/include/libbonobo-2.0
-I/opt/gnome/include/gnome-vfs-2.0
-I/opt/gnome/lib/gnome-vfs-2.0/include
-I/opt/gnome/include/bonobo-activation-2.0
-I/opt/gnome/include/libgnomeprintui-2.2
-I/opt/gnome/include/libgnomeprint-2.2 -DG_LOG_DOMAIN=\"Planner\" -DPREFIX=\""/usr/local"\" -DSYSCONFDIR=\""/usr/local/etc"\"
-DLIBDIR=\""/usr/local/lib"\" -DDATADIR=\""/usr/local/share"\"
-DGNOMELOCALEDIR=\""/usr/local/share/locale"\"
-DIMAGEDIR=\""/usr/local/share/pixmaps/planner"\"
-DGLADEDIR=\""/usr/local/share/planner/glade"\"
-DMRP_VIEWDIR=\""/usr/local/lib/planner/views"\"
-DMRP_PLUGINDIR=\""/usr/local/lib/planner/plugins"\"
-UUSE_STABLE_LIBGNOMEUI -g -O2 -MT planner-window.o -MD -MP -MF
".deps/planner-window.Tpo" \
-c -o planner-window.o `test -f 'planner-window.c' || echo
'./'`planner-window.c; \
then mv -f ".deps/planner-window.Tpo" ".deps/planner-window.Po"; \
else rm -f ".deps/planner-window.Tpo"; exit 1; \
fi
In file included from planner-window.c:24:
.../config.h:11:1: warning: "GNOMELOCALEDIR" redefined
<command line>:15:1: warning: this is the location of the previous
definition
planner-window.c: In function `window_print_cb':
planner-window.c:845: error: `LC_NUMERIC' undeclared (first use in
this
function)
planner-window.c:845: error: (Each undeclared identifier is reported only once
planner-window.c:845: error: for each function it appears in.)
planner-window.c:845: warning: passing arg 1 of `g_strdup' makes
pointer
from integer without a cast
make[2]: *** [planner-window.o] Error 1
make[2]: Leaving directory `/usr/src/planner-0.12.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/planner-0.12.1'
make: *** [all] Error 2
linux:/usr/src/planner-0.12.1 #
************************************************** *************
Does it make any sence to you?

Alex


 
Page 1 of 2 1 2

Bookmarks


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On




 

Search Engine Friendly URLs by vBSEO 3.3.0 RC2